- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/get.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/get.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/get.md.txt#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/get.md.txt#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/get.md.txt#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers.creatives/get.md.txt#try-it)

Gets a creative.

### HTTP request

`GET https://realtimebidding.googleapis.com/v1/{name=buyers/*/creatives/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the creative to retrieve. See `creative.name`. |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`CreativeView`)`` Controls the amount of information included in the response. By default only `creativeServingDecision` is included. To retrieve the entire `creative resource` (including the declared fields and the creative content) specify the view as "FULL". |
| `adCategoryTaxonomyOverride` | ``enum (`AdCategoryTaxonomy`)`` Optional. The category taxonomy to use for the response. Overrides the default category taxonomy for the bidder. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `Creative`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`